Bug 1218119 - CVE-2015-3455 squid: incorrect X509 server certificate validation (SQUID-2015:1) [fedora-all]
Summary: CVE-2015-3455 squid: incorrect X509 server certificate validation (SQUID-2015...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luboš Uhliarik ✈
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-3455
TreeView+ depends on / blocked
 
Reported: 2015-05-04 08:48 UTC by Martin Prpič
Modified: 2016-05-06 19:55 UTC (History)
6 users (show)

Fixed In Version: squid-3.5.10-1.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-06 19:55:24 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-05-04 08:48:47 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-05-04 08:48:54 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1218118,1218119

# Description of your update
notes=Security fix for CVE-2015-3455

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1218118,1218119

Comment 2 Marcos Mello 2015-06-03 12:56:20 UTC
Can we have 3.4.13 ASAP in Fedora 21/22?

Besides the CVE, it fixes upstream bug 4212, an important fix for ssl_crtd.

Comment 3 Marcos Mello 2015-06-03 13:05:40 UTC
For the almost EOLed F20, version 3.3.14 also fixes the CVE.

Comment 4 Fedora Update System 2015-06-09 07:54:28 UTC
squid-3.3.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/squid-3.3.14-1.fc20

Comment 5 Fedora Update System 2015-06-09 11:13:43 UTC
squid-3.4.13-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/squid-3.4.13-1.fc21

Comment 6 Fedora Update System 2015-06-09 12:42:48 UTC
squid-3.4.13-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/squid-3.4.13-1.fc22

Comment 7 Fedora Update System 2015-07-10 06:25:27 UTC
squid-3.4.13-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/squid-3.4.13-2.fc22

Comment 8 Fedora Update System 2015-09-25 10:54:27 UTC
squid-3.4.13-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-05490fc42d

Comment 9 Fedora Update System 2015-09-27 00:37:54 UTC
squid-3.4.13-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update squid'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-05490fc42d

Comment 10 Fedora End Of Life 2015-11-04 16:01:27 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Jan Kurik 2015-12-02 19:54:10 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Fedora Update System 2016-03-08 12:13:00 UTC
libecap-1.0.0-1.fc22 squid-3.5.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b40eb9e29

Comment 13 Fedora Update System 2016-03-09 21:24:17 UTC
libecap-1.0.0-1.fc22, squid-3.5.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b40eb9e29

Comment 14 Fedora Update System 2016-05-06 19:54:43 UTC
libecap-1.0.0-1.fc22, squid-3.5.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.